%define realname XML-Parser

Name:		perl-%realname
Version:	2.31
Release:	alt2

Packager: 	Mikhail Zabaluev <mhz@altlinux.ru>
Summary:	Perl module for parsing XML Documents
Copyright:	Artistic/GPL
Group:		Development/Perl
URL:		http://www.cpan.org/modules/by-module/XML/

Source:		%{realname}-%{version}.tar.bz2

Requires: libexpat >= 1.95.0

BuildPreReq: libexpat-devel >= 1.95.0
AutoReqProv: yes, perl

%description
XML-Parser is a Perl module for parsing XML documents, powered by Expat
library.

%prep
%setup -q -n %{realname}-%{version}

%build
%perl_vendor_build
%make test

%install
%perl_vendor_install
find samples -type f \
	| xargs grep -l '/usr/local/bin/perl' \
	| xargs perl -pi -e 's|/usr/local/bin/perl|%_bindir/perl|'

%files
%perl_vendor_archlib/XML/Parser*
%perl_vendor_autolib/XML/Parser*
%doc %perl_vendor_man3dir/*
%doc README Changes
%doc samples

%changelog
* Fri Nov 01 2002 Sergey V Turchin <zerg@altlinux.org> 2.31-alt2
- rebuild with new perl

* Wed May 29 2002 Mikhail Zabaluev <mhz@altlinux.ru> 2.31-alt1
- New version
- Require libexpat, not expat

* Tue Jul 24 2001 Stanislav Ievlev <inger@altlinux.ru> 2.30-alt2
- Rebuilt with new perl.

* Tue Jul 03 2001 Mikhail Zabaluev <mhz@altlinux.ru> 2.30-alt1
- 2.30, shared expat is supported
- ALTified spec

* Thu Jul  6 2000 Mikhail Zabaluev <mookid@sigent.ru> 2.29-2mdk_mhz
- added documentation files
- cleaned out files, build

* Tue Jun 13 2000 Vincent Danen <vdanen@linux-mandrake.com> 2.29-1mdk
- initial specfile
- bzip sources
